Etherpad

From FedoraProject

(Difference between revisions)
Jump to: navigation, search
m (Fix URL)
Line 37: Line 37:
 
| commons-lang-2.4.jar || jakarta-commons-lang || works
 
| commons-lang-2.4.jar || jakarta-commons-lang || works
 
|-
 
|-
| derby-10.5.1.1.jar || [https://bugzilla.redhat.com/show_bug.cgi?id=532520 review] || needs review
+
| derby-10.5.1.1.jar || derby || works
 
|-
 
|-
| derbytools.jar || [https://bugzilla.redhat.com/show_bug.cgi?id=532520 review] || needs review
+
| derbytools.jar || derby || works
 
|-
 
|-
 
| dnsjava-2.0.6.jar || dnsjava || works
 
| dnsjava-2.0.6.jar || dnsjava || works
Line 49: Line 49:
 
| jetty-util-6.1.20.jar || jetty || works
 
| jetty-util-6.1.20.jar || jetty || works
 
|-
 
|-
| json.jar || json || breaks build
+
| json.jar || json || Is non-free; free replacement exists [https://bugzilla.redhat.com/show_bug.cgi?id=624433]
 
|-
 
|-
 
| mail.jar || javamail || works
 
| mail.jar || javamail || works
 
|-
 
|-
| rhino-js-1.7r1.jar || rhino || breaks build
+
| rhino-js-1.7r1.jar || rhino || breaks build, significant api breakage for yuicompressor both in r2 and r3; possibly needed just by yuicompressor
 
|-
 
|-
| sanselan-0.94aj.jar || [http://incubator.apache.org/projects/sanselan.html source] (missing ''maven2-plugin-release'') || needs packaging
+
| sanselan-0.94aj.jar || [http://incubator.apache.org/projects/sanselan.html source] (''maven-release'' dependency only from f14 on) || needs packaging
 
|-
 
|-
 
| servlet-api-2.5-20081211.jar || tomcat6-servlet-2.5-api || works
 
| servlet-api-2.5-20081211.jar || tomcat6-servlet-2.5-api || works
Line 61: Line 61:
 
| tagsoup-1.2.jar || tagsoup || works
 
| tagsoup-1.2.jar || tagsoup || works
 
|-
 
|-
| yuicompressor-2.4-appjet.jar || [http://developer.yahoo.com/yui/compressor/ source] (fails to compile with ''rhino'' package) || needs packaging
+
| yuicompressor-2.4-appjet.jar || [http://developer.yahoo.com/yui/compressor/ source] || breaks build, significant api breakage for yuicompressor both in r2 and r3; maybe could be disabled (runtime performance penalty), or we need ''compat-rhino-17r1'' || needs packaging
 
|}
 
|}

Revision as of 13:11, 16 August 2010

Etherpad FAD

We're trying to organize one. See Etherpad FAD for more.

Packaging Etherpad

There's a not really guidelines compliant version alive here: http://repos.fedorapeople.org/repos/sdz/etherpad/

Etherpad bundles a good chunk of libraries. Some of them are already packaging in Fedora, some aren't.

Libraries bundled in Etherpad

in etherpad/lib

file name fedora package status
dnsjava-2.0.6.jar dnsjava works
jbcrypt-0.2.jar jBCrypt packaged
jcommon-1.0.15.jar jcommon works
jfreechart-1.0.12.jar jfreechart works

in infrastructure/lib

file name fedora package status
activation.jar classpathx-jaf works
c3p0-0.9.1.2.jar review (new package needed) needs packaging
commons-lang-2.4.jar jakarta-commons-lang works
derby-10.5.1.1.jar derby works
derbytools.jar derby works
dnsjava-2.0.6.jar dnsjava works
jetty-6.1.20.jar jetty works
jetty-sslengine-6.1.20.jar jetty works
jetty-util-6.1.20.jar jetty works
json.jar json Is non-free; free replacement exists [1]
mail.jar javamail works
rhino-js-1.7r1.jar rhino breaks build, significant api breakage for yuicompressor both in r2 and r3; possibly needed just by yuicompressor
sanselan-0.94aj.jar source (maven-release dependency only from f14 on) needs packaging
servlet-api-2.5-20081211.jar tomcat6-servlet-2.5-api works
tagsoup-1.2.jar tagsoup works
yuicompressor-2.4-appjet.jar source breaks build, significant api breakage for yuicompressor both in r2 and r3; maybe could be disabled (runtime performance penalty), or we need compat-rhino-17r1 needs packaging